%define major 4
%define libname %mklibname pinyin %major
%define develname %mklibname -d pinyin

Name: libpinyin
Version: 0.9.93
Release: %mkrel 1
Summary: The library of a sentence-based Chinese pinyin input method
Source0: http://downloads.sourceforge.net/libpinyin/%{name}-%{version}.tar.xz
License: GPLv2+
Group: System/Internationalization
Url: https://github.com/libpinyin/libpinyin
BuildRequires: pkgconfig(glib-2.0) >= 2.4.0
BuildRequires: db-devel
 
%description
The libpinyin project aims to provide the algorithms core for intelligent
sentence-based Chinese pinyin input methods.

%package	-n %libname
Summary:	Shared library for %name
Group:		System/Internationalization
Requires:	%{name}-data >= %{version}

%description	-n %libname
The libpinyin project aims to provide the algorithms core for intelligent
sentence-based Chinese pinyin input methods.

%package        -n %develname
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}

%description    -n %develname
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%package        data
Summary:        Data files for %{name}

%description    data
The %{name}-data package contains data files.

%package        tools
Summary:        Tools for %{name}
Requires:       %{libname} >= %{version}

%description    tools
The %{name}-tools package contains tools for training inputting habit.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static --disable-dependency-tracking
%make 

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %libname
%doc AUTHORS COPYING README
%dir %{_libdir}/libpinyin
%{_libdir}/%name.so.%major
%{_libdir}/%name.so.%major.*

%files -n %develname
%{_includedir}/libpinyin*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libpinyin.pc

%files data
%{_libdir}/libpinyin/data

%files tools
%{_bindir}/gen_binary_files
%{_bindir}/import_interpolation
%{_bindir}/gen_unigram
%{_mandir}/man1/*.1.*


%changelog
* Mon Nov 11 2013 pinoc <vogtpet at gmail.com> 0.9.93-1pclos2013
- imported package libpinyin

